import { WebContents, IpcMain } from 'electron';
import { IHandlerMap } from 'duplex-message';
import { ElectronMessageHub, IElectronMessageHubOptions } from './abstract';
export declare class MainMessageHub extends ElectronMessageHub {
    protected readonly _ipc: IpcMain;
    constructor(options?: IElectronMessageHubOptions);
    emit<ResponseType = unknown>(target: WebContents, method: string, ...args: any[]): Promise<ResponseType>;
    on(target: WebContents | '*', handlerMap: Function | IHandlerMap): void;
    on(target: WebContents | '*', methodName: string, handler: Function): void;
    off(target: WebContents | '*', methodName?: string): void;
    destroy(): void;
    /** shared MainMessageHub instance */
    static get shared(): MainMessageHub;
}
